> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Render Canvas Template

> Create an instance of a Canvased Template.



## OpenAPI

````yaml /openapi.json post /canvas-templates/{id}/render
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /canvas-templates/{id}/render:
    post:
      tags:
        - Canvas Template
      summary: Render Canvas Template
      description: Create an instance of a Canvased Template.
      operationId: renderCanvasTemplate
      parameters:
        - name: id
          required: true
          in: path
          description: The ID of the Canvas Template to render
          schema:
            example: '123'
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                oneOf:
                  - type: string
                  - type: number
                  - type: boolean
                  - type: object
                  - type: array
                description: Any valid JSON value
      responses:
        '200':
          description: Instantiation of the Canvas Template as a Canvas Template Instance
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CanvasTemplateInstance'
components:
  schemas:
    CanvasTemplateInstance:
      type: object
      properties:
        id:
          type: string
        templateId:
          type: string
        variables:
          type: object
        renderedOutput:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - templateId
        - variables
        - renderedOutput
        - createdAt
        - updatedAt

````